Package python-mistralclient

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See python-mistralclient in the Fedora Pagure, or go directly to the corresponding spec file.

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • python2-mistralclient-3.2.0-1
    • × /usr/bin/python2
    • × python(abi) = 2.7
  • python3-mistralclient-3.2.0-1
    • /usr/bin/python3
    • python(abi) = 3.6

Dependent packages

Run time

Build time

Dependency Tree

Run time

Build time

Project Size

~8K total lines of code
~7.63K (95%) Python
(approximation as of 2.0.0-5.fc25)

Groups

Dependencies

Run time

1 Python 3 only; 11 Dual support; 1 Dropped
Package Upstream Fedora
  python-cliff  
  python-keystoneauth1  
  python-osc-lib  
  python-oslo-i18n  
  python-oslo-utils (nonblocking)   bug (CLOSED RAWHIDE)
  python-osprofiler   bug (CLOSED RAWHIDE)
  python-pbr   bug (CLOSED RAWHIDE)
  python-requests  
  python-six   bug (CLOSED CURRENTRELEASE)
  python-stevedore  
  PyYAML  
  python3   bug (NEW)
  python2   X

Build time

1 Python 3 only; 2 Dual support; 1 Idle; 1 Dropped
Package Upstream Fedora
  git (nonblocking)   I
  python-pbr   bug (CLOSED RAWHIDE)
  python-setuptools  
  python3   bug (NEW)
  python2   X